const schm = require('schm')
const translate = require('schm-translate')

const withTranslate = prevSchema => prevSchema.merge({
  translate(...args) {
    return schm(this, translate(...args))
  }
})

const schema = params => schm(params, withTranslate)

const userSchema = schema({
  name: String,
  email: String,
}).translate({
  email: "emails.0",
})

userSchema.parse({
  name: 'Haz',
  emails: [
    'hazdiego@gmail.com',
    'diegohaz@live.com',
  ],
});
